Weak::PanamaMAC< B > Class Template Reference

Panama message authentication code. More...

Inheritance diagram for Weak::PanamaMAC< B >:

## Public Member Functions

| PanamaMAC (const byte *key, unsigned int length)
Public Member Functions inherited from HermeticHashFunctionMAC< PanamaHash< B > >
void | UncheckedSetKey (const byte *key, unsigned int length, const NameValuePairs &params)
void | Restart ()
void | Update (const byte *input, size_t length)
void | TruncatedFinal (byte *digest, size_t digestSize)
unsigned int | DigestSize () const
unsigned int | BlockSize () const
unsigned int | OptimalBlockSize () const
unsigned int | OptimalDataAlignment () const
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< MessageAuthenticationCode, VariableKeyLength< 32, 0, INT_MAX > > >, PanamaHash< B > >
std::string | AlgorithmName () const
Public Member Functions inherited from SimpleKeyingInterfaceImpl< TwoBases< MessageAuthenticationCode, VariableKeyLength< 32, 0, INT_MAX > > >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm. More...
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm. More...
size_t | DefaultKeyLength () const
| The default key length used by the algorithm. More...
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm. More...
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm. More...
unsigned int | IVSize () const
| The default initialization vector length for the algorithm. More...

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< MessageAuthenticationCode, VariableKeyLength< 32, 0, INT_MAX > > >, PanamaHash< B > >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class B = LittleEndian>
class Weak::PanamaMAC< B >

Panama message authentication code.

Definition at line 117 of file panama.h.

The documentation for this class was generated from the following file:

- panama.h